/**
 * Copyright (c) 2014,www.easygame.org
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of the easygame.org nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY EASYEGRET.COM AND CONTRIBUTORS "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL EGRET-LABS.ORG AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
module virus{

    /**
     * <p></p>
     * @date  :2020-02-14 18:47:35
     * @EasyGame.org Tools
     */ 
    export class HallUI  extends easy.Group{
        public resSpriteSheet:string = "HallUI";//合并材质资源名称
        public resTexture:Array<string> = ["bg1","1_10","1_8","1_9","bg2","tishi1","tishi2","tishi3","4_1","4_5","4_14","bg2_1","bg2_2","bg2_3"];//单材质资源名称
        public resGroup:Array<string> = ["hall_HallUI"];//配置文件的Group
        public resFiles:Array<string> = ["hall/HallUI_loader_200214184735.json"];//需要下载的资源group
        public spriteSheet:egret.SpriteSheet = null;//ui对应的材质集,已经分割好,方便外部读取方便

        public group1:easy.Group = null;
        public groupbut1:easy.Group = null;
        public imgbg1:easy.Image = null;
        public imgbut1_1:easy.Image = null;
        public imgbut1_2:easy.Image = null;
        public imgbut1_3:easy.Image = null;
        public imgbut1_4:easy.Image = null;
        public imgbut1_5:easy.Image = null;
        public imgtu1_1:easy.Image = null;
        public groupal1:easy.Group = null;
        public imgall1_1:easy.Image = null;
        public imgall1_2:easy.Image = null;
        public imgall1_3:easy.Image = null;
        public imgall1_4:easy.Image = null;
        public imgall1_5:easy.Image = null;
        public group2:easy.Group = null;
        public imgbg2:easy.Image = null;
        public imgtu2_1:easy.Image = null;
        public imgtu2_2:easy.Image = null;
        public groupall2:easy.Group = null;
        public imgall2_1:easy.Image = null;
        public imgall2_2:easy.Image = null;
        public labelImg1:easy.LabelImage = null;
        public labelImg2:easy.LabelImage = null;
        public grouptemp:easy.Group = null;
        public groupopen:easy.Group = null;
        public groupopenbg:easy.Group = null;
        public groupopenall:easy.Group = null;
        public imgopen1:easy.Image = null;
        public imgopen2:easy.Image = null;
        public imgbg3:easy.Image = null;
        public groupbut2:easy.Group = null;
        public imgbut2_1:easy.Image = null;
        public imgbtn1:easy.Image = null;
        public imgbtn2:easy.Image = null;
        public imgbtn3:easy.Image = null;
        public imgbut2_2:easy.Image = null;
        public imgbut2_3:easy.Image = null;
        public imgbut2_4:easy.Image = null;
        public imgbut2_5:easy.Image = null;
        public imgbut2_6:easy.Image = null;
        public groupbtn4:easy.Group = null;
        public grouptishi:easy.Group = null;
        public grouptsbg:easy.Group = null;
        public imgtishi1:easy.Image = null;
        public imgtishi2:easy.Image = null;
        public imgtishi3:easy.Image = null;
        public grouptishi2:easy.Group = null;
        public imgtishi2_1:easy.Image = null;
        public imgtishi2_2:easy.Image = null;
        public group3:easy.Group = null;
        public imgover1:easy.Image = null;
        public imgover2:easy.Image = null;
        public groupover2:easy.Group = null;
        public groupover:easy.Group = null;
        public imgover3:easy.Image = null;
        public labelImg3:easy.LabelImage = null;
        public btnover1:easy.Button = null;
        public btnover2:easy.Button = null;
        public grouprank:easy.Group = null;
        public imgrank1:easy.Image = null;
        public imgrank2:easy.Image = null;
        public imgrank3:easy.Image = null;
        public grouptemp2:easy.Group = null;
        public grouptemp3:easy.Group = null;
        public imgrank4:easy.Image = null;
        public btnclose:easy.Button = null;
        public temp_rank:temp_rankTemplate = null;
        public temp_music:temp_musicTemplate = null;
        public imglogo:easy.Image = null;
        public imglogo1:easy.Image = null;
        public imglogo1_1:easy.Image = null;
        public imglogo3:easy.Image = null;

        public constructor() {
            super(true);
        }
        /**
         * 初始化主场景的组件,加入场景时,主动调用一次
         * 子类覆写该方法,添加UI逻辑
         */  
        public createChildren():void {
            super.createChildren();
            this.showBg = false;
            this.bgColor = 0xcc33;
            this.border = false;
            this.width = 750;
            this.height = 1334;
            //group1 
            this.group1 = new easy.Group(true);
            this.group1.name = "group1";
            this.addChild(this.group1);
            this.group1.showBg = false;
            this.group1.border = false;
            this.group1.width = 750;
            this.group1.height = 1334;
            this.group1.topEnabled = true;
            this.group1.bottomEnabled = true;
            this.group1.leftEnabled = true;
            this.group1.rightEnabled = true;
            //groupbut1 
            this.groupbut1 = new easy.Group(true);
            this.groupbut1.name = "groupbut1";
            this.group1.addChild(this.groupbut1);
            this.groupbut1.showBg = false;
            this.groupbut1.border = false;
            this.groupbut1.width = 750;
            this.groupbut1.height = 1334;
            //imgbg1 
            this.imgbg1 = new easy.Image(true);
            this.imgbg1.name = "imgbg1";
            this.groupbut1.addChild(this.imgbg1);
            this.imgbg1.y = -172;
            this.imgbg1.width = 750;
            this.imgbg1.height = 1506;
            //imgbut1_1 
            this.imgbut1_1 = new easy.Image(true);
            this.imgbut1_1.name = "imgbut1_1";
            this.groupbut1.addChild(this.imgbut1_1);
            this.imgbut1_1.x = 456;
            this.imgbut1_1.y = 484;
            this.imgbut1_1.width = 402;
            this.imgbut1_1.height = 559;
            //imgbut1_2 
            this.imgbut1_2 = new easy.Image(true);
            this.imgbut1_2.name = "imgbut1_2";
            this.groupbut1.addChild(this.imgbut1_2);
            this.imgbut1_2.x = 492;
            this.imgbut1_2.y = 888;
            this.imgbut1_2.width = 440;
            this.imgbut1_2.height = 319;
            //imgbut1_3 
            this.imgbut1_3 = new easy.Image(true);
            this.imgbut1_3.name = "imgbut1_3";
            this.groupbut1.addChild(this.imgbut1_3);
            this.imgbut1_3.x = -114;
            this.imgbut1_3.y = 589;
            this.imgbut1_3.width = 629;
            this.imgbut1_3.height = 678;
            //imgbut1_4 
            this.imgbut1_4 = new easy.Image(true);
            this.imgbut1_4.name = "imgbut1_4";
            this.groupbut1.addChild(this.imgbut1_4);
            this.imgbut1_4.y = 1172;
            this.imgbut1_4.width = 750;
            this.imgbut1_4.height = 371;
            //imgbut1_5 
            this.imgbut1_5 = new easy.Image(true);
            this.imgbut1_5.name = "imgbut1_5";
            this.groupbut1.addChild(this.imgbut1_5);
            this.imgbut1_5.x = 132;
            this.imgbut1_5.y = 1055;
            this.imgbut1_5.width = 486;
            this.imgbut1_5.height = 268;
            //imgtu1_1 
            this.imgtu1_1 = new easy.Image(true);
            this.imgtu1_1.name = "imgtu1_1";
            this.group1.addChild(this.imgtu1_1);
            this.imgtu1_1.x = -177;
            this.imgtu1_1.y = -206;
            this.imgtu1_1.width = 573;
            this.imgtu1_1.height = 569;
            //groupal1 
            this.groupal1 = new easy.Group(true);
            this.groupal1.name = "groupal1";
            this.group1.addChild(this.groupal1);
            this.groupal1.showBg = false;
            this.groupal1.border = false;
            this.groupal1.width = 750;
            this.groupal1.height = 1334;
            this.groupal1.horizontalEnabled = true;
            this.groupal1.verticalEnabled = true;
            //imgall1_1 
            this.imgall1_1 = new easy.Image(true);
            this.imgall1_1.name = "imgall1_1";
            this.groupal1.addChild(this.imgall1_1);
            this.imgall1_1.x = 387;
            this.imgall1_1.y = 125;
            this.imgall1_1.width = 104;
            this.imgall1_1.height = 136;
            //imgall1_2 
            this.imgall1_2 = new easy.Image(true);
            this.imgall1_2.name = "imgall1_2";
            this.groupal1.addChild(this.imgall1_2);
            this.imgall1_2.x = 634;
            this.imgall1_2.y = 89;
            this.imgall1_2.width = 106;
            this.imgall1_2.height = 91;
            //imgall1_3 
            this.imgall1_3 = new easy.Image(true);
            this.imgall1_3.name = "imgall1_3";
            this.groupal1.addChild(this.imgall1_3);
            this.imgall1_3.x = 475;
            this.imgall1_3.y = 186;
            this.imgall1_3.width = 254;
            this.imgall1_3.height = 224;
            //imgall1_4 
            this.imgall1_4 = new easy.Image(true);
            this.imgall1_4.name = "imgall1_4";
            this.groupal1.addChild(this.imgall1_4);
            this.imgall1_4.x = 55;
            this.imgall1_4.y = 301;
            this.imgall1_4.width = 638;
            this.imgall1_4.height = 266;
            //imgall1_5 
            this.imgall1_5 = new easy.Image(true);
            this.imgall1_5.name = "imgall1_5";
            this.groupal1.addChild(this.imgall1_5);
            this.imgall1_5.x = 211;
            this.imgall1_5.y = 569;
            this.imgall1_5.width = 326;
            this.imgall1_5.height = 42;
            //group2 
            this.group2 = new easy.Group(true);
            this.group2.name = "group2";
            this.addChild(this.group2);
            this.group2.showBg = false;
            this.group2.border = false;
            this.group2.width = 750;
            this.group2.height = 1334;
            this.group2.topEnabled = true;
            this.group2.bottomEnabled = true;
            this.group2.leftEnabled = true;
            this.group2.rightEnabled = true;
            //imgbg2 
            this.imgbg2 = new easy.Image(true);
            this.imgbg2.name = "imgbg2";
            this.group2.addChild(this.imgbg2);
            this.imgbg2.y = -172;
            this.imgbg2.width = 750;
            this.imgbg2.height = 1506;
            //imgtu2_1 
            this.imgtu2_1 = new easy.Image(true);
            this.imgtu2_1.name = "imgtu2_1";
            this.group2.addChild(this.imgtu2_1);
            this.imgtu2_1.y = 734;
            this.imgtu2_1.width = 303;
            this.imgtu2_1.height = 336;
            //imgtu2_2 
            this.imgtu2_2 = new easy.Image(true);
            this.imgtu2_2.name = "imgtu2_2";
            this.group2.addChild(this.imgtu2_2);
            this.imgtu2_2.x = 170;
            this.imgtu2_2.y = 720;
            this.imgtu2_2.width = 88;
            this.imgtu2_2.height = 72;
            //groupall2 
            this.groupall2 = new easy.Group(true);
            this.groupall2.name = "groupall2";
            this.group2.addChild(this.groupall2);
            this.groupall2.showBg = false;
            this.groupall2.border = false;
            this.groupall2.width = 750;
            this.groupall2.height = 1334;
            this.groupall2.topEnabled = true;
            this.groupall2.horizontalEnabled = true;
            //imgall2_1 
            this.imgall2_1 = new easy.Image(true);
            this.imgall2_1.name = "imgall2_1";
            this.groupall2.addChild(this.imgall2_1);
            this.imgall2_1.x = 199;
            this.imgall2_1.y = 157;
            this.imgall2_1.width = 354;
            this.imgall2_1.height = 24;
            //imgall2_2 
            this.imgall2_2 = new easy.Image(true);
            this.imgall2_2.name = "imgall2_2";
            this.groupall2.addChild(this.imgall2_2);
            this.imgall2_2.x = 279;
            this.imgall2_2.y = 227;
            this.imgall2_2.width = 170;
            this.imgall2_2.height = 36;
            //labelImg1 
            this.labelImg1 = new easy.LabelImage(true);
            this.labelImg1.name = "labelImg1";
            this.groupall2.addChild(this.labelImg1);
            this.labelImg1.text = "666";
            this.labelImg1.rollingZoomAlign = "center";
            this.labelImg1.width = 200;
            this.labelImg1.height = 30;
            this.labelImg1.x = 377;
            this.labelImg1.y = 232;
            this.labelImg1.showBg = false;
            //labelImg2 
            this.labelImg2 = new easy.LabelImage(true);
            this.labelImg2.name = "labelImg2";
            this.groupall2.addChild(this.labelImg2);
            this.labelImg2.text = "66";
            this.labelImg2.rollingZoomAlign = "center";
            this.labelImg2.width = 300;
            this.labelImg2.height = 100;
            this.labelImg2.x = 225;
            this.labelImg2.y = 271;
            this.labelImg2.showBg = false;
            this.labelImg2.hAlign = "center";
            //grouptemp 
            this.grouptemp = new easy.Group(true);
            this.grouptemp.name = "grouptemp";
            this.group2.addChild(this.grouptemp);
            this.grouptemp.showBg = false;
            this.grouptemp.border = false;
            this.grouptemp.width = 750;
            this.grouptemp.height = 1334;
            this.grouptemp.topEnabled = true;
            this.grouptemp.bottomEnabled = true;
            this.grouptemp.leftEnabled = true;
            this.grouptemp.rightEnabled = true;
            //groupopen 
            this.groupopen = new easy.Group(true);
            this.groupopen.name = "groupopen";
            this.group2.addChild(this.groupopen);
            this.groupopen.showBg = false;
            this.groupopen.border = false;
            this.groupopen.width = 750;
            this.groupopen.height = 1334;
            this.groupopen.topEnabled = true;
            this.groupopen.bottomEnabled = true;
            this.groupopen.leftEnabled = true;
            this.groupopen.rightEnabled = true;
            this.groupopen.visible = false;
            //groupopenbg 
            this.groupopenbg = new easy.Group(true);
            this.groupopenbg.name = "groupopenbg";
            this.groupopen.addChild(this.groupopenbg);
            this.groupopenbg.bgColor = 0xcce3fd;
            this.groupopenbg.border = false;
            this.groupopenbg.width = 750;
            this.groupopenbg.height = 1334;
            this.groupopenbg.topEnabled = true;
            this.groupopenbg.bottomEnabled = true;
            this.groupopenbg.leftEnabled = true;
            this.groupopenbg.rightEnabled = true;
            this.groupopenbg.alpha = 0.796875;
            //groupopenall 
            this.groupopenall = new easy.Group(true);
            this.groupopenall.name = "groupopenall";
            this.groupopen.addChild(this.groupopenall);
            this.groupopenall.showBg = false;
            this.groupopenall.border = false;
            this.groupopenall.width = 750;
            this.groupopenall.height = 1334;
            this.groupopenall.horizontalEnabled = true;
            this.groupopenall.verticalEnabled = true;
            //imgopen1 
            this.imgopen1 = new easy.Image(true);
            this.imgopen1.name = "imgopen1";
            this.groupopenall.addChild(this.imgopen1);
            this.imgopen1.x = 124.5;
            this.imgopen1.y = 227;
            this.imgopen1.width = 495;
            this.imgopen1.height = 298;
            //imgopen2 
            this.imgopen2 = new easy.Image(true);
            this.imgopen2.name = "imgopen2";
            this.groupopenall.addChild(this.imgopen2);
            this.imgopen2.x = 199;
            this.imgopen2.y = 235;
            this.imgopen2.width = 342;
            this.imgopen2.height = 348;
            //imgbg3 
            this.imgbg3 = new easy.Image(true);
            this.imgbg3.name = "imgbg3";
            this.group2.addChild(this.imgbg3);
            this.imgbg3.width = 750;
            this.imgbg3.height = 1334;
            //groupbut2 
            this.groupbut2 = new easy.Group(true);
            this.groupbut2.name = "groupbut2";
            this.group2.addChild(this.groupbut2);
            this.groupbut2.showBg = false;
            this.groupbut2.border = false;
            this.groupbut2.y = 963;
            this.groupbut2.width = 750;
            this.groupbut2.height = 371;
            //imgbut2_1 
            this.imgbut2_1 = new easy.Image(true);
            this.imgbut2_1.name = "imgbut2_1";
            this.groupbut2.addChild(this.imgbut2_1);
            this.imgbut2_1.width = 750;
            this.imgbut2_1.height = 371;
            //imgbtn1 
            this.imgbtn1 = new easy.Image(true);
            this.imgbtn1.name = "imgbtn1";
            this.groupbut2.addChild(this.imgbtn1);
            this.imgbtn1.x = 18;
            this.imgbtn1.y = 81;
            this.imgbtn1.width = 185;
            this.imgbtn1.height = 258;
            //imgbtn2 
            this.imgbtn2 = new easy.Image(true);
            this.imgbtn2.name = "imgbtn2";
            this.groupbut2.addChild(this.imgbtn2);
            this.imgbtn2.x = 211;
            this.imgbtn2.y = 81;
            this.imgbtn2.width = 185;
            this.imgbtn2.height = 258;
            //imgbtn3 
            this.imgbtn3 = new easy.Image(true);
            this.imgbtn3.name = "imgbtn3";
            this.groupbut2.addChild(this.imgbtn3);
            this.imgbtn3.x = 405;
            this.imgbtn3.y = 81;
            this.imgbtn3.width = 185;
            this.imgbtn3.height = 258;
            //imgbut2_2 
            this.imgbut2_2 = new easy.Image(true);
            this.imgbut2_2.name = "imgbut2_2";
            this.groupbut2.addChild(this.imgbut2_2);
            this.imgbut2_2.x = 606;
            this.imgbut2_2.y = 113;
            this.imgbut2_2.width = 106;
            this.imgbut2_2.height = 147;
            //imgbut2_3 
            this.imgbut2_3 = new easy.Image(true);
            this.imgbut2_3.name = "imgbut2_3";
            this.groupbut2.addChild(this.imgbut2_3);
            this.imgbut2_3.x = 608;
            this.imgbut2_3.y = 272;
            this.imgbut2_3.width = 103;
            this.imgbut2_3.height = 33;
            //imgbut2_4 
            this.imgbut2_4 = new easy.Image(true);
            this.imgbut2_4.name = "imgbut2_4";
            this.groupbut2.addChild(this.imgbut2_4);
            this.imgbut2_4.x = 595;
            this.imgbut2_4.y = 100;
            this.imgbut2_4.width = 123;
            this.imgbut2_4.height = 200;
            //imgbut2_5 
            this.imgbut2_5 = new easy.Image(true);
            this.imgbut2_5.name = "imgbut2_5";
            this.groupbut2.addChild(this.imgbut2_5);
            this.imgbut2_5.x = 606;
            this.imgbut2_5.y = 113;
            this.imgbut2_5.width = 106;
            this.imgbut2_5.height = 147;
            //imgbut2_6 
            this.imgbut2_6 = new easy.Image(true);
            this.imgbut2_6.name = "imgbut2_6";
            this.groupbut2.addChild(this.imgbut2_6);
            this.imgbut2_6.x = 581;
            this.imgbut2_6.y = 83;
            this.imgbut2_6.width = 156;
            this.imgbut2_6.height = 231;
            //groupbtn4 
            this.groupbtn4 = new easy.Group(true);
            this.groupbtn4.name = "groupbtn4";
            this.groupbut2.addChild(this.groupbtn4);
            this.groupbtn4.border = false;
            this.groupbtn4.x = 20;
            this.groupbtn4.y = 80;
            this.groupbtn4.width = 570;
            this.groupbtn4.height = 250;
            this.groupbtn4.alpha = 0;
            //grouptishi 
            this.grouptishi = new easy.Group(true);
            this.grouptishi.name = "grouptishi";
            this.groupbut2.addChild(this.grouptishi);
            this.grouptishi.showBg = false;
            this.grouptishi.border = false;
            this.grouptishi.x = -125;
            this.grouptishi.y = -1329;
            this.grouptishi.width = 1000;
            this.grouptishi.height = 1700;
            //grouptsbg 
            this.grouptsbg = new easy.Group(true);
            this.grouptsbg.name = "grouptsbg";
            this.grouptishi.addChild(this.grouptsbg);
            this.grouptsbg.bgColor = 0x0;
            this.grouptsbg.border = false;
            this.grouptsbg.width = 1000;
            this.grouptsbg.height = 1700;
            this.grouptsbg.topEnabled = true;
            this.grouptsbg.bottomEnabled = true;
            this.grouptsbg.leftEnabled = true;
            this.grouptsbg.rightEnabled = true;
            this.grouptsbg.alpha = 0.5;
            //imgtishi1 
            this.imgtishi1 = new easy.Image(true);
            this.imgtishi1.name = "imgtishi1";
            this.grouptishi.addChild(this.imgtishi1);
            this.imgtishi1.x = 341;
            this.imgtishi1.y = 750;
            this.imgtishi1.width = 418;
            this.imgtishi1.height = 440;
            //imgtishi2 
            this.imgtishi2 = new easy.Image(true);
            this.imgtishi2.name = "imgtishi2";
            this.grouptishi.addChild(this.imgtishi2);
            this.imgtishi2.x = 136;
            this.imgtishi2.y = 1112;
            this.imgtishi2.width = 584;
            this.imgtishi2.height = 559;
            //imgtishi3 
            this.imgtishi3 = new easy.Image(true);
            this.imgtishi3.name = "imgtishi3";
            this.grouptishi.addChild(this.imgtishi3);
            this.imgtishi3.x = 452;
            this.imgtishi3.y = 1122;
            this.imgtishi3.width = 403;
            this.imgtishi3.height = 538;
            //grouptishi2 
            this.grouptishi2 = new easy.Group(true);
            this.grouptishi2.name = "grouptishi2";
            this.groupbut2.addChild(this.grouptishi2);
            this.grouptishi2.showBg = false;
            this.grouptishi2.border = false;
            this.grouptishi2.x = 387;
            this.grouptishi2.y = -105;
            this.grouptishi2.width = 353;
            this.grouptishi2.height = 200;
            //imgtishi2_1 
            this.imgtishi2_1 = new easy.Image(true);
            this.imgtishi2_1.name = "imgtishi2_1";
            this.grouptishi2.addChild(this.imgtishi2_1);
            this.imgtishi2_1.width = 353;
            this.imgtishi2_1.height = 141;
            //imgtishi2_2 
            this.imgtishi2_2 = new easy.Image(true);
            this.imgtishi2_2.name = "imgtishi2_2";
            this.grouptishi2.addChild(this.imgtishi2_2);
            this.imgtishi2_2.x = 250;
            this.imgtishi2_2.y = 110;
            this.imgtishi2_2.width = 63;
            this.imgtishi2_2.height = 92;
            //group3 
            this.group3 = new easy.Group(true);
            this.group3.name = "group3";
            this.addChild(this.group3);
            this.group3.showBg = false;
            this.group3.border = false;
            this.group3.width = 750;
            this.group3.height = 1334;
            this.group3.topEnabled = true;
            this.group3.bottomEnabled = true;
            this.group3.leftEnabled = true;
            this.group3.rightEnabled = true;
            this.group3.visible = false;
            //imgover1 
            this.imgover1 = new easy.Image(true);
            this.imgover1.name = "imgover1";
            this.group3.addChild(this.imgover1);
            this.imgover1.autoSize = true;
            this.imgover1.width = 750;
            this.imgover1.height = 1334;
            this.imgover1.topEnabled = true;
            this.imgover1.bottomEnabled = true;
            this.imgover1.leftEnabled = true;
            this.imgover1.rightEnabled = true;
            //imgover2 
            this.imgover2 = new easy.Image(true);
            this.imgover2.name = "imgover2";
            this.group3.addChild(this.imgover2);
            this.imgover2.x = 513;
            this.imgover2.y = 20;
            this.imgover2.width = 217;
            this.imgover2.height = 316;
            this.imgover2.topEnabled = true;
            this.imgover2.top = 20;
            this.imgover2.rightEnabled = true;
            this.imgover2.right = 20;
            //groupover2 
            this.groupover2 = new easy.Group(true);
            this.groupover2.name = "groupover2";
            this.group3.addChild(this.groupover2);
            this.groupover2.showBg = false;
            this.groupover2.border = false;
            this.groupover2.width = 750;
            this.groupover2.height = 1334;
            this.groupover2.horizontalEnabled = true;
            this.groupover2.verticalEnabled = true;
            //groupover 
            this.groupover = new easy.Group(true);
            this.groupover.name = "groupover";
            this.groupover2.addChild(this.groupover);
            this.groupover.showBg = false;
            this.groupover.border = false;
            this.groupover.width = 750;
            this.groupover.height = 1334;
            //imgover3 
            this.imgover3 = new easy.Image(true);
            this.imgover3.name = "imgover3";
            this.groupover.addChild(this.imgover3);
            this.imgover3.x = 49;
            this.imgover3.y = 362;
            this.imgover3.width = 667;
            this.imgover3.height = 566;
            //labelImg3 
            this.labelImg3 = new easy.LabelImage(true);
            this.labelImg3.name = "labelImg3";
            this.groupover.addChild(this.labelImg3);
            this.labelImg3.text = "666";
            this.labelImg3.rollingZoomAlign = "center";
            this.labelImg3.width = 500;
            this.labelImg3.height = 100;
            this.labelImg3.x = 125;
            this.labelImg3.y = 700;
            this.labelImg3.showBg = false;
            this.labelImg3.hAlign = "center";
            //btnover1 
            this.btnover1 = new easy.Button(true);
            this.btnover1.name = "btnover1";
            this.groupover.addChild(this.btnover1);
            this.btnover1.width = 271;
            this.btnover1.height = 139;
            this.btnover1.x = 77;
            this.btnover1.y = 989;
            //btnover2 
            this.btnover2 = new easy.Button(true);
            this.btnover2.name = "btnover2";
            this.groupover.addChild(this.btnover2);
            this.btnover2.width = 271;
            this.btnover2.height = 139;
            this.btnover2.x = 413;
            this.btnover2.y = 989;
            //grouprank 
            this.grouprank = new easy.Group(true);
            this.grouprank.name = "grouprank";
            this.group3.addChild(this.grouprank);
            this.grouprank.showBg = false;
            this.grouprank.border = false;
            this.grouprank.width = 750;
            this.grouprank.height = 1334;
            this.grouprank.horizontalEnabled = true;
            this.grouprank.verticalEnabled = true;
            this.grouprank.visible = false;
            //imgrank1 
            this.imgrank1 = new easy.Image(true);
            this.imgrank1.name = "imgrank1";
            this.grouprank.addChild(this.imgrank1);
            this.imgrank1.x = 41;
            this.imgrank1.y = 224;
            this.imgrank1.width = 672;
            this.imgrank1.height = 928;
            //imgrank2 
            this.imgrank2 = new easy.Image(true);
            this.imgrank2.name = "imgrank2";
            this.grouprank.addChild(this.imgrank2);
            this.imgrank2.x = 640;
            this.imgrank2.y = 209;
            this.imgrank2.width = 60;
            this.imgrank2.height = 60;
            //imgrank3 
            this.imgrank3 = new easy.Image(true);
            this.imgrank3.name = "imgrank3";
            this.grouprank.addChild(this.imgrank3);
            this.imgrank3.x = 679;
            this.imgrank3.y = 380;
            this.imgrank3.width = 21;
            this.imgrank3.height = 102;
            //grouptemp2 
            this.grouptemp2 = new easy.Group(true);
            this.grouptemp2.name = "grouptemp2";
            this.grouprank.addChild(this.grouptemp2);
            this.grouptemp2.showBg = false;
            this.grouptemp2.border = false;
            this.grouptemp2.x = 74;
            this.grouptemp2.y = 361;
            this.grouptemp2.width = 590;
            this.grouptemp2.height = 616;
            //grouptemp3 
            this.grouptemp3 = new easy.Group(true);
            this.grouptemp3.name = "grouptemp3";
            this.grouptemp2.addChild(this.grouptemp3);
            this.grouptemp3.showBg = false;
            this.grouptemp3.border = false;
            this.grouptemp3.width = 590;
            this.grouptemp3.height = 616;
            //imgrank4 
            this.imgrank4 = new easy.Image(true);
            this.imgrank4.name = "imgrank4";
            this.grouprank.addChild(this.imgrank4);
            this.imgrank4.autoSize = true;
            this.imgrank4.x = 76;
            this.imgrank4.y = 980;
            this.imgrank4.width = 580;
            this.imgrank4.height = 118;
            //btnclose 
            this.btnclose = new easy.Button(true);
            this.btnclose.name = "btnclose";
            this.grouprank.addChild(this.btnclose);
            this.btnclose.width = 60;
            this.btnclose.height = 60;
            this.btnclose.x = 640;
            this.btnclose.y = 209;
            //temp_rank 
            this.temp_rank = new virus.temp_rankTemplate();
            this.temp_rank.name = "temp_rank";
            this.grouprank.addChild(this.temp_rank);
            if (this.temp_rank.ui["resFiles"]) this.resFiles = this.resFiles.concat(this.temp_rank.ui.resFiles);
            if (this.temp_rank.ui["resGroup"]) this.resGroup = this.resGroup.concat(this.temp_rank.ui.resGroup);
            this.temp_rank.x = 74;
            this.temp_rank.y = 982;
            //group 
            //imgra1_4 
            //labelid 
            this.temp_rank.ui.labelid.color = 0xffffff;
            //labelname 
            this.temp_rank.ui.labelname.color = 0xffffff;
            //labelnum 
            this.temp_rank.ui.labelnum.color = 0xffffff;
            //temp_music 
            this.temp_music = new virus.temp_musicTemplate();
            this.temp_music.name = "temp_music";
            this.addChild(this.temp_music);
            if (this.temp_music.ui["resFiles"]) this.resFiles = this.resFiles.concat(this.temp_music.ui.resFiles);
            if (this.temp_music.ui["resGroup"]) this.resGroup = this.resGroup.concat(this.temp_music.ui.resGroup);
            this.temp_music.x = 650;
            this.temp_music.topEnabled = true;
            this.temp_music.ui.topEnabled = true;
            this.temp_music.rightEnabled = true;
            this.temp_music.ui.rightEnabled = true;
            //imgmusic 
            this.temp_music.ui.imgmusic.x = 17;
            this.temp_music.ui.imgmusic.y = 19;
            //imglogo 
            this.imglogo = new easy.Image(true);
            this.imglogo.name = "imglogo";
            this.addChild(this.imglogo);
            this.imglogo.x = 31;
            this.imglogo.width = 270;
            this.imglogo.height = 94;
            //imglogo1 
            this.imglogo1 = new easy.Image(true);
            this.imglogo1.name = "imglogo1";
            this.addChild(this.imglogo1);
            this.imglogo1.x = 30;
            this.imglogo1.y = 30;
            this.imglogo1.width = 189;
            this.imglogo1.height = 42;
            this.imglogo1.visible = false;
            //imglogo1_1 
            this.imglogo1_1 = new easy.Image(true);
            this.imglogo1_1.name = "imglogo1_1";
            this.addChild(this.imglogo1_1);
            this.imglogo1_1.x = 380;
            this.imglogo1_1.width = 270;
            this.imglogo1_1.height = 96;
            this.imglogo1_1.rightEnabled = true;
            this.imglogo1_1.right = 100;
            this.imglogo1_1.visible = false;
            //imglogo3 
            this.imglogo3 = new easy.Image(true);
            this.imglogo3.name = "imglogo3";
            this.addChild(this.imglogo3);
            this.imglogo3.x = 30;
            this.imglogo3.width = 274;
            this.imglogo3.height = 107;
            this.imglogo3.visible = false;

        }
        /**
         * 获取初始化逻辑,加入场景时,主动调用一次
         * 子类覆写该方法,添加业务逻辑
         */
         public initData():void {
           super.initData();
        }
        /**
         * 进入的逻辑
         * 可以再次根据外部数据情况做一些逻辑处理
         */
        public enter():void {

        }

        /**
         * 退出的逻辑
         * 做一些数据的销毁或者初始化,保证下次进入的时候,不会残留
         */
        public outer():void {

        }
        /**
         * 刷新UI皮肤显示
         */
        public validateNow():void{
            this.drawDelay = false;
            var jsonData:any = RES.getRes("HallUI_json");
            if (jsonData != null) {
                this.spriteSheet = new egret.SpriteSheet(RES.getRes("HallUI_img"));
                for (var key in jsonData.texture){
                    this.spriteSheet.createTexture(key, jsonData.texture[key].x, jsonData.texture[key].y, jsonData.texture[key].w, jsonData.texture[key].h);
                }
            }
            this.group1.drawDelay = false;
            this.groupbut1.drawDelay = false;
            this.imgbg1.texture = RES.getRes("bg1");
            this.imgbg1.drawDelay = false;
            this.imgbut1_1.texture = RES.getRes("1_10");
            this.imgbut1_1.drawDelay = false;
            if (this.spriteSheet) this.imgbut1_2.texture = this.spriteSheet.getTexture("1_11");
            this.imgbut1_2.drawDelay = false;
            this.imgbut1_3.texture = RES.getRes("1_8");
            this.imgbut1_3.drawDelay = false;
            if (this.spriteSheet) this.imgbut1_4.texture = this.spriteSheet.getTexture("2_2");
            this.imgbut1_4.drawDelay = false;
            if (this.spriteSheet) this.imgbut1_5.texture = this.spriteSheet.getTexture("1_7");
            this.imgbut1_5.drawDelay = false;
            this.imgtu1_1.texture = RES.getRes("1_9");
            this.imgtu1_1.drawDelay = false;
            this.groupal1.drawDelay = false;
            if (this.spriteSheet) this.imgall1_1.texture = this.spriteSheet.getTexture("1_4");
            this.imgall1_1.drawDelay = false;
            if (this.spriteSheet) this.imgall1_2.texture = this.spriteSheet.getTexture("1_5");
            this.imgall1_2.drawDelay = false;
            if (this.spriteSheet) this.imgall1_3.texture = this.spriteSheet.getTexture("1_6");
            this.imgall1_3.drawDelay = false;
            if (this.spriteSheet) this.imgall1_4.texture = this.spriteSheet.getTexture("1_2");
            this.imgall1_4.drawDelay = false;
            if (this.spriteSheet) this.imgall1_5.texture = this.spriteSheet.getTexture("1_3");
            this.imgall1_5.drawDelay = false;
            this.group2.drawDelay = false;
            this.imgbg2.texture = RES.getRes("bg2");
            this.imgbg2.drawDelay = false;
            if (this.spriteSheet) this.imgtu2_1.texture = this.spriteSheet.getTexture("3_4");
            this.imgtu2_1.drawDelay = false;
            if (this.spriteSheet) this.imgtu2_2.texture = this.spriteSheet.getTexture("3_8");
            this.imgtu2_2.drawDelay = false;
            this.groupall2.drawDelay = false;
            if (this.spriteSheet) this.imgall2_1.texture = this.spriteSheet.getTexture("3_1");
            this.imgall2_1.drawDelay = false;
            if (this.spriteSheet) this.imgall2_2.texture = this.spriteSheet.getTexture("3_2");
            this.imgall2_2.drawDelay = false;
            if (this.spriteSheet) this.labelImg1.texture = this.spriteSheet.getTexture("5_1");
            this.labelImg1.drawDelay = false;
            if (this.spriteSheet) this.labelImg2.texture = this.spriteSheet.getTexture("5_2");
            this.labelImg2.drawDelay = false;
            this.grouptemp.drawDelay = false;
            this.groupopen.drawDelay = false;
            this.groupopenbg.drawDelay = false;
            this.groupopenall.drawDelay = false;
            if (this.spriteSheet) this.imgopen1.texture = this.spriteSheet.getTexture("2_1");
            this.imgopen1.drawDelay = false;
            if (this.spriteSheet) this.imgopen2.texture = this.spriteSheet.getTexture("2_6");
            this.imgopen2.drawDelay = false;
            this.imgbg3.drawDelay = false;
            this.groupbut2.drawDelay = false;
            if (this.spriteSheet) this.imgbut2_1.texture = this.spriteSheet.getTexture("2_2");
            this.imgbut2_1.drawDelay = false;
            if (this.spriteSheet) this.imgbtn1.texture = this.spriteSheet.getTexture("btn1_1");
            this.imgbtn1.drawDelay = false;
            if (this.spriteSheet) this.imgbtn2.texture = this.spriteSheet.getTexture("btn2_1");
            this.imgbtn2.drawDelay = false;
            if (this.spriteSheet) this.imgbtn3.texture = this.spriteSheet.getTexture("btn3_1");
            this.imgbtn3.drawDelay = false;
            if (this.spriteSheet) this.imgbut2_2.texture = this.spriteSheet.getTexture("2_4");
            this.imgbut2_2.drawDelay = false;
            if (this.spriteSheet) this.imgbut2_3.texture = this.spriteSheet.getTexture("2_5");
            this.imgbut2_3.drawDelay = false;
            if (this.spriteSheet) this.imgbut2_4.texture = this.spriteSheet.getTexture("2_3");
            this.imgbut2_4.drawDelay = false;
            if (this.spriteSheet) this.imgbut2_5.texture = this.spriteSheet.getTexture("2_4");
            this.imgbut2_5.drawDelay = false;
            if (this.spriteSheet) this.imgbut2_6.texture = this.spriteSheet.getTexture("2_7");
            this.imgbut2_6.drawDelay = false;
            this.groupbtn4.drawDelay = false;
            this.grouptishi.drawDelay = false;
            this.grouptsbg.drawDelay = false;
            this.imgtishi1.texture = RES.getRes("tishi1");
            this.imgtishi1.drawDelay = false;
            this.imgtishi2.texture = RES.getRes("tishi2");
            this.imgtishi2.drawDelay = false;
            this.imgtishi3.texture = RES.getRes("tishi3");
            this.imgtishi3.drawDelay = false;
            this.grouptishi2.drawDelay = false;
            if (this.spriteSheet) this.imgtishi2_1.texture = this.spriteSheet.getTexture("tishi4");
            this.imgtishi2_1.drawDelay = false;
            if (this.spriteSheet) this.imgtishi2_2.texture = this.spriteSheet.getTexture("tishi5");
            this.imgtishi2_2.drawDelay = false;
            this.group3.drawDelay = false;
            this.imgover1.texture = RES.getRes("4_1");
            this.imgover1.drawDelay = false;
            if (this.spriteSheet) this.imgover2.texture = this.spriteSheet.getTexture("4_2");
            this.imgover2.drawDelay = false;
            this.groupover2.drawDelay = false;
            this.groupover.drawDelay = false;
            this.imgover3.texture = RES.getRes("4_5");
            this.imgover3.drawDelay = false;
            if (this.spriteSheet) this.labelImg3.texture = this.spriteSheet.getTexture("5_2");
            this.labelImg3.drawDelay = false;
            if (this.spriteSheet) this.btnover1.texture = this.spriteSheet.getTexture("4_3");
            this.btnover1.drawDelay = false;
            if (this.spriteSheet) this.btnover2.texture = this.spriteSheet.getTexture("4_4");
            this.btnover2.drawDelay = false;
            this.grouprank.drawDelay = false;
            this.imgrank1.texture = RES.getRes("4_14");
            this.imgrank1.drawDelay = false;
            this.imgrank2.drawDelay = false;
            if (this.spriteSheet) this.imgrank3.texture = this.spriteSheet.getTexture("4_7");
            this.imgrank3.drawDelay = false;
            this.grouptemp2.drawDelay = false;
            this.grouptemp3.drawDelay = false;
            if (this.spriteSheet) this.imgrank4.texture = this.spriteSheet.getTexture("4_9");
            this.imgrank4.drawDelay = false;
            if (this.spriteSheet) this.btnclose.texture = this.spriteSheet.getTexture("4_6");
            this.btnclose.drawDelay = false;
            //模板temp_rank
            this.temp_rank.validateNow();
            if (this.spriteSheet) this.temp_rank.ui.imgra1_4.texture = this.spriteSheet.getTexture("4_15");
            //模板temp_music
            this.temp_music.validateNow();
            if (this.spriteSheet) this.imglogo.texture = this.spriteSheet.getTexture("1_1");
            this.imglogo.drawDelay = false;
            if (this.spriteSheet) this.imglogo1.texture = this.spriteSheet.getTexture("logo1_1");
            this.imglogo1.drawDelay = false;
            if (this.spriteSheet) this.imglogo1_1.texture = this.spriteSheet.getTexture("logo1");
            this.imglogo1_1.drawDelay = false;
            if (this.spriteSheet) this.imglogo3.texture = this.spriteSheet.getTexture("logo3");
            this.imglogo3.drawDelay = false;

        }
    }
}